#include <stdint.h>
#include <arm9cpu.h>
void InitInstructions(void);

extern char *ARM_ConditionMap;

void i_adc(void);
void i_add(void);
void i_and(void);
void i_b(void);
void i_bl(void);
void i_bbl(void);
void i_bic(void);
void i_bkpt(void);
void i_blx1(void);
void i_blx2bx(void);
void i_cdp(void);
void i_clz(void);
void i_cmn(void);
void i_cmp(void);
void i_eor(void);
void i_ldc(void);
void i_ldm1(void);
void i_ldm2(void);
void i_ldm3(void);
void i_lsm(void);
void i_ldr(void);
void i_ldrb(void);
void i_ldrbt(void);
void i_ldrh(void);
void i_ldrsb(void);
void i_ldrsh(void);
void i_ldrt(void);
void i_mcr(void);
void i_mla(void);
void i_mov(void);
void i_mrc(void);
void i_mrc2(void);
void i_mrs(void);
void i_msri(void);
void i_msrr(void);
void i_mul(void);
void i_mvn(void);
void i_orr(void);
void i_rsb(void);
void i_rsc(void);
void i_sbc(void);
void i_smlal(void);
void i_smull(void);
void i_stc(void);
void i_stm1(void);
void i_stm2(void);
void i_str(void);
void i_strb(void);
void i_strbt(void);
void i_strh(void);
void i_strt(void);
void i_sub(void);
void i_swi(void);
void i_swp(void);
void i_swpb(void);
void i_teq(void);
void i_tst(void);
void i_umlal(void);
void i_umull(void);
/* Enhanced DSP instructions */
void i_ldrd(void);
void i_mcrr(void);
void i_mrrc(void);
void i_pld(void);
void i_qadd(void) ;
void i_qdadd(void); 
void i_qdsub(void); 
void i_qsub(void); 
void i_smlaxy(void); 
void i_smlalxy(void); 
void i_smlawy(void); 
void i_smulxy(void); 
void i_smulwy(void); 
void i_strd(void); 
void i_und(void);
